
all :: all_intro

all_intro :
	@echo ;\\
	echo "Starting make for mSQL-2" ;\\
	echo

install ::
	@echo 					;\\
	echo "Starting install for mSQL-2" 	;\\
	echo 					;\\
	cd ../.. ; scripts/make-install $(INST_DIR)


!directory common all,clean,install
!directory regexp all,clean,install
!directory msql all,clean,install

!directory lang-common all,clean,install
!directory w3-msql all,clean,install
!directory lite all,clean,install

all :: all_footer

all_footer:
	@echo ;\\
	echo "Make of mSQL-2 complete.";\\
	echo "You should now install mSQL-2 using \"make install\"" ;\\
	echo ;\\
	echo

install ::
	@cp -r ../../doc/* $(INST_DIR)/doc; \\
	cp -r ../../demos/w3-msql/* $(INST_DIR)/www; \\
	cp -r ../../misc/setup_* $(INST_DIR)/misc; \\
	cp ../../README* $(INST_DIR);\\
	cp makegen/* $(INST_DIR)/makegen;\\
	chmod 755 $(INST_DIR)/makegen/*;\\
	cp site.mm $(INST_DIR)/makegen;\\
        if test -f $(INST_DIR)/msql.conf;\
        then\
                rm -f $(INST_DIR)/msql.conf.old;\
                mv $(INST_DIR)/msql.conf $(INST_DIR)/msql.conf.old;\
        fi;\
	sed "s,_INST_,$(INST_DIR),"< ../../misc/msql.conf >$(INST_DIR)/msql.conf;\\
	echo ;\\
	echo ;\\
	echo ;\\
	echo "Installation of mSQL-2 complete." ;\\
	echo ;\\
	echo "*********";\\
	echo "**   This is the commercial, production release of mSQL 2.0" ;\\
	echo "**   Please see the README file in the top directory of the" ;\\
	echo "**   distribution for license information." ;\\
	echo "*********";\\
	echo ;\\
	echo

